//
// Created by sebastian on 08.02.26.
//

#ifndef PLAYER_H
#define PLAYER_H
#include <cstdint>
#include <memory>
#include <string>

#include "../PlayerInventory.h"

using PlayerID = std::uint32_t;

class Player {
private:
    PlayerID playerID;
    std::string name;
    std::unique_ptr<PlayerInventory> inventory = std::make_unique<PlayerInventory>();
    bool isAI = false;

public:
    Player() = default;
    Player(const PlayerID playerID, const std::string& name) : playerID(playerID), name(std::move(name)) {
        inventory->add(RessourceType::WOOD, 100);
    };

    const std::unique_ptr<PlayerInventory> &getInventory() const;
};



#endif //PLAYER_H
